Bug 1131645 - RemoveCommand does not activate the key in Passivation
Summary: RemoveCommand does not activate the key in Passivation
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Data Grid 6
Classification: JBoss
Component: Infinispan
Version: 6.3.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ER2
: 6.3.1
Assignee: Pedro Ruivo
QA Contact: Martin Gencur
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-19 18:15 UTC by Pedro Ruivo
Modified: 2015-01-26 14:05 UTC (History)
5 users (show)

(edit)
Previously in Red Hat JBoss Data Grid, when a persistent cache store was used with Passivation, the <command>remove</command> command did not activate the entry in cache store, which resulted in an inconsistency because the entry was never removed. It was removed from internal DataContainer but not from the cache store and during any operation, the old value could be loaded from the cache store back again. This is fixed in JBoss Data Grid 6.3.1 and the remove operation now works correctly.
Clone Of:
(edit)
Last Closed: 2015-01-26 14:05:32 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker ISPN-4649 Major Resolved RemoveCommand does not activate the key in Passivation 2017-08-14 01:25 UTC

Description Pedro Ruivo 2014-08-19 18:15:01 UTC
The RemoveCommand does not activate the key in CacheStore. This creates an inconsistency because the key is never really removed. More precisely, the key is removed from DataContainer but not from CacheStore and during any operation, the old value is loaded from the CacheStore.

Comment 2 Alan Field 2014-09-09 13:55:22 UTC
Verified with JDG 6.3.1 ER2


Note You need to log in before you can comment on or make changes to this bug.